Skip to main content
GET
Get System Prompt

Authorizations

Authorization
string
header
required

JWT token from Stytch B2B authentication (magic link, SSO, or M2M)

Path Parameters

system_prompt_id
string
required

System Prompt ID

Query Parameters

expand[]
string[] | null

Fields to expand (e.g., particles)

Response

Successful Response

Response schema for system prompt.

id
string
required

Unique system prompt identifier

Example:

"sp_abc123"

name
string
required

Human-readable name

Example:

"Customer Support Agent"

enabled
boolean
required

Whether the system prompt is active

Example:

true

isSystem
boolean
required

Whether this is a system-managed template

Example:

false

createdAt
string<date-time>
required

Timestamp when the system prompt was created

updatedAt
string<date-time>
required

Timestamp when the system prompt was last updated

description
string | null

System prompt description

Example:

"System prompt for customer support interactions"

slug
string | null

Stable kebab-case identifier (system profiles only, immutable)

Example:

"customer-support-agent"

totalTokenCount
integer | null

Total token count of all particles

Example:

150

particleCount
integer | null

Number of particles in this system prompt

Example:

3

particles
SystemPromptParticleOut · object[] | null

Particle associations (when expanded)